FROM node:6-stretch
MAINTAINER Yaltik - Fabien Bourgeois <fabien@yaltik.com>

# Create coeditor user
RUN useradd coeditor -md /opt/coeditor
WORKDIR /opt/coeditor
USER coeditor

# Install Coeditor
RUN git clone --depth 1 https://github.com/nicktogo/coeditor
WORKDIR /opt/coeditor/coeditor
RUN npm install

# TCP port of Coeditor
EXPOSE 9090

# Run Coeditor
CMD ["npm", "start"]
